import 'package:json_annotation/json_annotation.dart';
import 'delivery_dto.dart';

part 'get_deliveries_dto.g.dart';

@JsonSerializable(explicitToJson: true)
class GetDeliveriesDTO {
  final List<DeliveryDTO> deliveries;
  final String date;

  GetDeliveriesDTO({
    required this.deliveries,
    required this.date
  });

  factory GetDeliveriesDTO.fromJson(Map<String, dynamic> json) => _$GetDeliveriesDTOFromJson(json);

  Map<String, dynamic> toJson() => _$GetDeliveriesDTOToJson(this);
}